/* Copyright (C) 2005 Hiroyuki OYAMA
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
 
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef DEFAULT_TEMPLATE_H
#define DEFAULT_TEMPLATE_H

#define DEFAULT_RESULT_TEMPLATE \
    "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict //EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n" \
    "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"ja\" lang=\"ja\">\n" \
    "  <head>\n" \
    "    <title>Rast : <$print name=keyword encode=html$></title>\n" \
    "    <style>\n" \
    "<!--\n" \
    "body {\n" \
    "  margin: 8px;\n" \
    "  padding: 0;\n" \
    "  font-size: 0.8em;\n" \
    "}\n" \
    "\n" \
    "#search {\n" \
    "  margin: 15px 0 15px 0;\n" \
    "  padding: 0;\n" \
    "}\n" \
    "\n" \
    "#search p {\n" \
    "  display: inline;\n" \
    "  font-size:   42px;\n" \
    "  font-family: serif;\n" \
    "  color:       #606060;\n" \
    "  line-height: 1em;\n" \
    "  vertical-align: middle;\n" \
    "}\n" \
    "\n" \
    "#search form {\n" \
    "  margin-left: 10px;\n" \
    "  display: inline;\n" \
    "}\n" \
    "\n" \
    "input.q {\n" \
    "  width: 25em;\n" \
    "}\n" \
    "\n" \
    "#summary {\n" \
    "  padding:  3px;\n" \
    "  background: #e0e0e0;\n" \
    "  border-top: 1px solid #cc6666;\n" \
    "  text-align: right;\n" \
    "}\n" \
    "\n" \
    "\n" \
    "#result h3 {\n" \
    "  font-size: 1.3em;\n" \
    "  line-height: 1em;\n" \
    "  font-weight: normal;\n" \
    "  margin-top: 20px;\n" \
    "  margin-bottom: 2px;\n" \
    "  padding: 0;\n" \
    "}\n" \
    "\n" \
    "#result p {\n" \
    "  margin: 0;\n" \
    "  padding: 0;\n" \
    "}\n" \
    "\n" \
    "#result .url {\n" \
    "  color: #008000;\n" \
    "}\n" \
    "\n" \
    "#pages {\n" \
    "  margin-top: 40px;\n" \
    "  text-align: center;\n" \
    "  font-weight: bold;\n" \
    "}\n" \
    "\n" \
    "#pages span {\n" \
    "  margin-right: 20px;\n" \
    "  font-weight: normal;\n" \
    "}\n" \
    "\n" \
    "\n" \
    "#footer {\n" \
    "  margin-top:  40px;\n" \
    "  padding:  15px 0 10px 0;\n" \
    "  background: #e0e0e0;\n" \
    "  border-top: 1px solid #cc6666;\n" \
    "  border-bottom: 1px solid #cc6666;\n" \
    "  text-align: center;\n" \
    "}\n" \
    "\n" \
    "p.footer {\n" \
    "  margin-top: 30px;\n" \
    "  text-align: center;\n" \
    "}\n" \
    "-->\n" \
    "    </style>\n" \
    "  </head>\n" \
    "  <body>\n" \
    "    <div id=\"search\">\n" \
    "      <p>Rast</span></p>\n" \
    "      <form method=\"get\">\n" \
    "        <input class=\"q\" type=\"text\" name=\"q\" value=\"<$print name=keyword encode=html$>\" />\n" \
    "        <input type=\"submit\" value=\"Rast \" />\n" \
    "      </form>\n" \
    "    </div>\n" \
    "\n" \
    "    <div id=\"summary\">\n" \
    "      <b><$print name=keyword encode=html$></b> θ <b><$print name=num_item encode=html$></b> \n" \
    "    </div>\n" \
    "\n" \
    "    <div id=\"result\">\n" \
    "<$for name=result$>\n" \
    "      <div class=\"item\">\n" \
    "        <h3><a href=\"<$print name=url encode=html$>\"><$print name=title encode=html$></a></h3>\n" \
    "        <p><$print name=summary encode=html$></p>\n" \
    "        <span class=\"url\"><$print name=url encode=html$></span>\n" \
    "      </div>\n" \
    "<$end$>\n" \
    "\n" \
    "      <div id=\"pages\">\n" \
    "        <$if name=pages$><span>̥ڡ:</span><$end$>\n" \
    "        <$for name=pages$>\n" \
    "        <$if name=current_page$><$print name=page_num encode=html$><$else$><a href=\"?num=<$print name=num_per_page encode=uri$>&amp;q=<$print name=keyword encode=uri$>&amp;start=<$print name=offset encode=uri$>\"><$print name=page_num encode=html$></a><$end$>\n" \
    "        <$end$>\n" \
    "      </div>\n" \
    "    </div>\n" \
    "\n" \
    "\n" \
    "    <div id=\"footer\">\n" \
    "      <form method=\"get\">\n" \
    "        <input class=\"q\" type=\"text\" name=\"q\" value=\"<$print name=keyword encode=html$>\" />\n" \
    "        <input type=\"submit\" value=\"Rast \" />\n" \
    "      </form>\n" \
    "    </div>\n" \
    "    <p class=\"footer\">Powered by Rast &amp; mod_search_rast.</p>\n" \
    "  </body>\n" \
    "</html>\n"


#define DEFAULT_DEFAULT_TEMPLATE \
    "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict //EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n" \
    "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"ja\" lang=\"ja\">\n" \
    "  <head>\n" \
    "    <title>Rast Search</title>\n" \
    "    <style>\n" \
    "<!--\n" \
    "body {\n" \
    "  margin: 8px;\n" \
    "  padding: 0;\n" \
    "  font-size: 0.8em;\n" \
    "  text-align: center;\n" \
    "}\n" \
    "\n" \
    "#search {\n" \
    "  margin: 0px 0 15px 0;\n" \
    "  padding: 0;\n" \
    "}\n" \
    "\n" \
    "h1 {\n" \
    "  font-size:   80px;\n" \
    "  font-family: serif;\n" \
    "  color:       #606060;\n" \
    "  line-height: 1em;\n" \
    "  margin: 20px 0 30px 0;\n" \
    "  padding: 0;\n" \
    "}\n" \
    "\n" \
    "input.q { width: 40em; }\n" \
    "\n" \
    "p.footer {\n" \
    "  margin-top: 30px;\n" \
    "}\n" \
    "-->\n" \
    "    </style>\n" \
    "  </head>\n" \
    "  <body>\n" \
    "    <h1>Rast</h1>\n" \
    "    <$print name=error encode=html$>\n" \
    "    <div id=\"search\">\n" \
    "      <form method=\"get\">\n" \
    "        <input class=\"q\" type=\"text\" name=\"q\" /><br />\n" \
    "        <input type=\"submit\" value=\"Rast Search\" />\n" \
    "      </form>\n" \
    "    </div>\n" \
    "\n" \
    "    <p class=\"footer\">Powered by Rast &amp; mod_search_rast.</p>\n" \
    "  </body>\n" \
    "</html>\n"

#endif /* !DEFAULT_TEMPLATE_H */
