#include "mc_encode.h"
#include <stdio.h>
const char *mc_encode_convert(apr_pool_t *p,
                              const char *src_enc, const char *dist_enc,
                              const char *src_str)
{
    UConverter *convi, *convo;
    UErrorCode status = U_ZERO_ERROR;
    UChar *iwork;
    char *owork;
    int32_t li, lo;

    convi = ucnv_open(src_enc, &status);
    if (!U_SUCCESS(status)) {
        return NULL;
    }
    status = U_ZERO_ERROR;
    convo = ucnv_open(dist_enc, &status);
    if (U_FAILURE(status)) {
        return NULL;
    }

    li = ucnv_toUChars(convi,
                  NULL, 0, src_str, strlen(src_str),
                  &status);
    if (status != U_BUFFER_OVERFLOW_ERROR) {
        ucnv_close(convi);
        ucnv_close(convo);
        return NULL;
    }
    status = U_ZERO_ERROR;
    iwork = apr_palloc(p, li * sizeof(UChar));
    li = ucnv_toUChars(convi, iwork, li, src_str, strlen(src_str), &status);
    if (U_FAILURE(status)) {
        ucnv_close(convi);
        ucnv_close(convo);
        return NULL;
    }

    status = U_ZERO_ERROR;
    lo = ucnv_fromUChars(convo,
                  NULL, 0, iwork, li,
                  &status);
    if (status != U_BUFFER_OVERFLOW_ERROR) {
        ucnv_close(convi);
        ucnv_close(convo);
        return NULL;
    }
    owork = apr_palloc(p, lo + 1);
    status = U_ZERO_ERROR;
    lo = ucnv_fromUChars(convo,
                    owork, lo,
                    iwork, li,
                    &status);
    if (U_FAILURE(status)) {
        ucnv_close(convi);
        ucnv_close(convo);
        return NULL;
    }
    ucnv_close(convi);
    ucnv_close(convo);
    owork[lo] = '\0';

    return (const char *)owork;
}

